Global-e calls this endpoint on your site — you implement it. See the integration guide for when and how to use this endpoint.
Body
application/json
Merchant.Order objects contain information about orders.
MerchantGUID
string
required
Unique identifier of the Merchant on Global-e.
OrderId
string
required
Global-e order unique identifier.
PaymentDetails
Merchant.PaymentDetails · object
required
The paying customer's payment details.
Show child attributes
AdditionalRequiredDocuments
OrderDocument · object[]
The required additional documents for shipping. When the information is provided, the Merchant must wait for the documents to be provided before starting fulfilment.
Show child attributes
AllowMailsFromMerchant
boolean
Indicates if the end customer has opted on the Global-e checkout page to receive emails from the Merchant.
TRUE - Customer opted to receive emails
FALSE - Customer did not opt to receive emails
CartHash
string
Cart hash originally specified in the merchantCartHash argument for the SendCart method for the cart converted to this order on Global-e.
CartId
string
Identifier of the cart on the Merchant's site originally specified in merchantCartToken argument for SendCart method for the cart converted to this order on Global-e.
CashOnDeliveryFee
number
Cash On Delivery fee amount in Merchant's currency.
CCFPrice
number
Customs Clearance Fees (CCF), in the Merchant currency.
ClearCart
boolean
Indicates if the end customer's cart must be cleared before this method finishes execution on the Merchant's site.
TRUE - The end customer's cart must be cleared
FALSE - The end customer's cart does not have to be cleared
CurrencyCode
string
3-char ISO currency code for the order being posted. By default, this is set to the original Merchant's currency.
CurrencyName
string
Customer currency name.
Customer
Merchant.Customer · object
The paying customer's preferences (Global-e acts as a paying customer).
Show child attributes
CustomerComments
string
Holds the gift message. In the offline order flow, holds the product comment.
CustomerDTBreakdown
DTBreakdown · object
Contains the duties and tax parts the customer paid for the order.
Show child attributes
DateCreated
string
Order creation date and time.
DiscountedShippingPrice
number
The shipping price paid by the customer converted to the Merchant's currency. Total Shipping price reducing Order Discounts (InternationalDetails.DiscountedShippingPrice price converted to the Merchant currency).
Discounts
Merchant.Discount · object[]
The list of discounts being applied to the order, according to the original list of discounts received in SendCart for this order, and to the Merchant shipping configuration on Global-e.
Show child attributes
DoNotChargeVAT
boolean
Indicates if the end customer hasn't been charged VAT in Global-e checkout, as specified in the doNotChargeVAT argument for the SendCart method for the cart converted to this order on Global-e.
TRUE - VAT is not charged
TRUE - VAT is charged
ExporterDetails
ExporterDetails · object
Show child attributes
FreeShippingCouponCode
string
Merchant's free shipping CouponCode applied by the end customer, as specified in the FreeShippingCouponCode argument for the SendCart method for the cart converted to this order on Global-e.
InternationalDetails
Merchant.InternationalDetails · object
Details referring to the end customer's order placed on the Global-e side. These details apply only to the Merchants dealing with international customers' support themselves.
Show child attributes
IsB2B
boolean
Indicates if the order has a Company name and VAT registration number.
TRUE - Order contains a company name and VAT registration number
FALSE - Order does not contain a company name and VAT registration number
IsFreeShipping
boolean
Indicates if the Merchant offers free international shipping to the end customer, as specified in the IsFreeShipping argument for the SendCart method for the cart converted to this order on Global-e.
TRUE - Shipping is free.
FALSE - Shipping is not free.
IsMoto
boolean
Indicates if the customer is a customer support agent and an "Offline order" took place
TRUE - The customer is a customer support agent and an "Offline order" took place
FALSE - The customer is a regular customer
IsReplacementOrder
boolean
Indicates if the order is a replacement.
TRUE - The order is a replacement
FALSE - The order is not a replacement
IsSplitOrder
boolean
Indicates if the order should be handled as a split order (i.e. without consolidation).
TRUE - Order will be split
FALSE - Order is not to be split
IsTaxExemption
boolean
Indicates if the order has a tax exemption.
TRUE - Order has a tax exemption
FALSE - Order does not have a tax exemption
LoyaltyCode
string
Loyalty code applicable to the Merchant's site entered by the end customer in Global-e checkout.
LoyaltyPointsEarned
number
The number of loyalty points to be earned for this purchase by the end customer on the Merchant's site, as specified in the loyaltyPointsEarned argument for the SendCart method for the cart converted to this order on Global-e.
LoyaltyPointsSpent
number
The number of loyalty points spent for this purchase. The existing loyalty points handling procedure must be applied to the end customer's user account. Therefore, the "Loyalty points" type discount must not be applied to the order directly but can be used for display purposes elsewhere in the system (i.e. on the end user's My Account page).
Markups
Merchant.Discount · object[]
The list of markups being applied to the order, according to the Merchant shipping configuration on Global-e. Effectively Markup is a "negative Discount". The main use case for markups is when the end customer is charged in Global-e checkout, a flat shipping rate, which is higher than the shipping rate, calculated for the respective order. In this case, Global-e pays the difference to the Merchant in the form of Markups applied to the order. Unlike Discounts, Markups may be only passed to the Merchant's back-end ERP system for reconciliation purposes, and may not be displayed to the end customer.
Show child attributes
MerchantDTBreakdown
DTBreakdown · object
Contains the duties and tax parts that the Merchant subsidized for the order.
Show child attributes
MerchantOrderId
string
Order unique identifier on the Merchant's site returned from a previous call to the SendOrderToMerchant method for this order.
ModifiedProduct
string
Holds the product's SKU
OrderCreationSource
enum<number>
One of the values of OrderCreationSource enumeration denoting a type of discount shown in the OrderCreationSource Table.
0 = GECheckout - The default value for orders created in a normal flow via Global-e Checkout
1 = Marketplace - The value for orders that are created at a marketplace and sent to Global-e via your brand
Available options:
0,
1
OrderDocuments
OrderDocument · object[]
Always contains a single document - it can be either a VAT Invoice or a Customer Receipt, depends if it is within the EU or not.
Show child attributes
OrderPaymentMethods
OrderPaymentMethod · object[]
List of payment methods the customer use (Credit card, Gift Cards)
Show child attributes
OrderStatusReason
OrderStatusReason · object
Reason for the order status, why it was cancelled.
Show child attributes
OriginalOrder
Merchant.OriginalOrder · object
Details that refer to the original order if the current order is a replacement.
Show child attributes
OTCurrencyCode
string
Currency of the one-time voucher code used to place the order.
OTVoucherAmount
number
The amount taken off the voucher when applicable.
OTVoucherCode
string
One-time voucher code used to place the order
Parcels
Merchant.Parcel · object[]
The list of parcels created for the order.
Show child attributes
PrePayOffered
boolean
Indicates if the prepayment option for duties and taxes was offered to the customer.
TRUE - Prepayment option offered.
FALSE - Prepayment option not offered.
PriceCoefficientRate
number
CountryCoefficient rate applied to the prices in this order.
PrimaryBilling
Merchant.CustomerDetails · object
The primary customer's billing details. If IsEndCustomerPrimary is set to TRUE, then the primary customer is the payer and his details are indicated in the URL-encoded form.
Show child attributes
PrimaryShipping
Merchant.CustomerDetails · object
Primary customer's shipping details. If Customer.IsEndCustomerPrimary is TRUE, this field contains the end customers' shipping details. this field contains the Global-e hub's shipping address in the URL-encoded form.
Show child attributes
Products
Merchant.Product · object[]
The list of products being purchased.
Show child attributes
RoundingRate
number
The average conversion rate applied to the prices paid by the end customer when calculating the prices paid by Global-e to the Merchant in the original Merchant's currency. This rate includes "FX conversion" and "marketing rounding" factors.
SameDayDispatch
boolean
Indicates if the end customer has requested "Same Day Dispatch" on Global-e checkout.
TRUE - Customer requested "Same Day Dispatch"
FALSE - Customer did not request "Same Day Dispatch"
SameDayDispatchCost
number
Cost of the "Same Day Dispatch" option selected by the end customer on Global-e checkout, in the original Merchant's currency.
SecondaryBilling
Merchant.CustomerDetails · object
Secondary customer's billing details. If Customer.IsEndCustomerPrimary is FALSE, this contains attributes of the end customer's details indicated in the URL-encoded form.
Show child attributes
SecondaryShipping
Merchant.CustomerDetails · object
Secondary customer's shipping details. If Customer.IsEndCustomerPrimary is FALSE, this field contains the end customers' shipping details.
Show child attributes
ShippingMethodCode
string
Code denoting the local shipping method selected from the list of available shipping options provided in the shippingOptionsList argument for the SendCart method for the cart converted to this order on Global-e.
ShipToStoreCode
string
Code denoting the Merchant's store specified by the customer for "ship to shop" shipping destination (to be mapped on the Global-e side).
StatusCode
string
Code denoting the order status on the Merchant's site (to be mapped on the Global-e side).
Subs
Merchant.Order (sub-order) · object[]
Contains Sub orders related to Mixed order. This list is defined only in case the order is Mixed.
TotalDutiesAndTaxesPrice
number
Total Duties & Taxes value including Customs Clearance Fees, in the Merchant currency. This amount is the total amount, regardless of whether the customer or the Merchant paid it.
TotalDutiesPaidByCustomerPrice
number
The total amount of duties paid by the customer in the Merchant's currency.
UserId
string
Internal User identifier on the Merchant's site originally specified in the shippingDetails.UserIdargument for SendCart method for the cart converted to this order on Global-e.
USSalesTax
number
Sales tax value for USA in the Merchant currency. This value is included in TotalDutiesAndTaxesPrice.
WebStoreCode
string
Code used on the Merchant's side to identify the web store, as specified in the WebStoreCode argument for the SendCart method for the cart converted to this order on Global-e.
Response
200 - application/json
The merchant's reply. Global-e reads ResponseInfo and treats ResponseInfo.Success as the outcome of the payment confirmation; any other response body is treated as a failure.
Response body. Some values are encoded and require the merchant to decode them, for example URLs, addresses, emails, and phone numbers.
ResponseInfo
Merchant.ResponseInfo · object
Indicates if an API call was successful or not and why.
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Global-e Docs","colors":{"primary":"#F15A2B","light":"#F57C00","dark":"#C2451F"},"logo":{"light":"https://mintcdn.com/globale-nce/rQ4xDQOUppqWxFrS/logo/light.png?fit=max\u0026auto=format\u0026n=rQ4xDQOUppqWxFrS\u0026q=85\u0026s=fdbd34267980bde0462ba7b10745b689","dark":"https://mintcdn.com/globale-nce/Ua_BYlWDyZAITUzz/logo/dark.png?fit=max\u0026auto=format\u0026n=Ua_BYlWDyZAITUzz\u0026q=85\u0026s=0d3939755743a70087e8b2bd0fab116a"},"favicon":"https://mintcdn.com/globale-nce/BgPbIPN3eoW9Gg6s/favicon.png?fit=max\u0026auto=format\u0026n=BgPbIPN3eoW9Gg6s\u0026q=85\u0026s=cdecbfc8500f049848feafeeb8131652","api":{"playground":{"display":"simple"}},"background":{"decoration":"gradient"},"navbar":{"links":[{"href":"https://status.global-e.com/","label":"Status Page"},{"href":"https://trustcenter.global-e.com","label":"Trust Center"},{"href":"/contact-us","label":"Escalating a Ticket"}]},"styling":{"eyebrows":"breadcrumbs","latex":true},"interaction":{"drilldown":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"globale-nce","hasAudioNarration":false,"actualSubdomain":"globale-nce","customDomains":["docs-nce.global-e.com"],"gitSource":{"type":"gitlab","owner":"global-e/product","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"nce","isPrivate":true,"projectId":84016925,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6afdcd7cc526cc95efa82fdb","clientVersion":"0.0.4205","searchFilterCounts":[{"language":"default","tag":"Documentation","count":442},{"language":"default","tag":"Topics","count":442},{"language":"default","tag":"eCommerce Integration","count":152},{"language":"default","tag":"Global-e: The Basics","count":71},{"language":"default","tag":"New Returns Portal for All Platforms (Excluding Shopify)","count":44},{"language":"default","tag":"New Returns Portal for Shopify","count":38},{"language":"default","tag":"Financial Processes","count":35},{"language":"default","tag":"Merchant Portal","count":32},{"language":"default","tag":"Fulfilment","count":28},{"language":"default","tag":"Shopify Native","count":28}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","href":"/_mintlify/custom/globale-nce/3dd432b0c9c1eae8/style.css"}],"page":{"pagePath":"api-reference/perform-order-payment","slug":"/api-reference/perform-order-payment","pageMetadata":{"contextual":{"options":[{"title":"View YAML","description":"Open the OpenAPI spec for this endpoint","icon":"file-code","href":"/api-reference/specs/performorderpayment.yaml"},"download-spec","copy","view","chatgpt","claude"]},"title":"Perform Order Payment","description":"Global-e posts order payment details to a merchant-hosted endpoint via the PerformOrderPayment (Global-e to Merchant) API.","openapi":"api-reference/specs/performorderpayment.yaml POST /order-payment-only-url","hideApiMarker":true,"playground":"simple","href":"/api-reference/perform-order-payment"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Global-e posts order payment details to a merchant-hosted endpoint via the PerformOrderPayment (Global-e to Merchant) API.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,p:`p`,..._provideComponents(),...props.components},{Note}=_components;if(!Note)_missingMdxReference(`Note`,true);return _jsx(Note,{children:_jsxs(_components.p,{children:[`Global-e calls this endpoint on your site — you implement it. See `,_jsx(_components.a,{href:`/endpoints#performorderpayment--global-e-to-merchant-`,children:`the integration guide`}),` for when and how to use this endpoint.`]})})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"contextual":{"options":[{"title":"View YAML","description":"Open the OpenAPI spec for this endpoint","icon":"file-code","href":"/api-reference/specs/performorderpayment.yaml"},"download-spec","copy","view","chatgpt","claude"]},"title":"Perform Order Payment","description":"Global-e posts order payment details to a merchant-hosted endpoint via the PerformOrderPayment (Global-e to Merchant) API.","openapi":"api-reference/specs/performorderpayment.yaml POST /order-payment-only-url","hideApiMarker":true,"playground":"simple","href":"/api-reference/perform-order-payment"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/globale-nce/3a1555eec05adf43/feedback-link.js","/_mintlify/custom/globale-nce/07a4be9d6ed97624/footer-legal.js","/_mintlify/custom/globale-nce/49711f0bc5d1b97e/country-table.js","/_mintlify/custom/globale-nce/d9fcdd3337ee5e98/assistant-open-full.js","/_mintlify/custom/globale-nce/e7c54d85527e9e47/assistant-share.js"],"openApiReferenceData":{"operation":{"summary":"PerformOrderPayment (Global-e to Merchant)","description":"Global-e posts order payment details to a merchant-hosted endpoint via the PerformOrderPayment (Global-e to Merchant) API.","operationId":"performOrderPayment","tags":["PerformOrderPayment (Global-e to Merchant)"],"requestBody":"e9771082-d531-4c66-a9e6-8baa9b9dc44f","responses":{"200":"72baa7c3-04ba-4091-99f5-b1a9a22d53a9"},"method":"post","type":"path","servers":["815ba480-b0c8-4630-85d0-90c48a16e68d"],"security":[],"path":"/order-payment-only-url","baseUrlOptions":["https://{merchant_site_domain}"],"title":"PerformOrderPayment (Global-e to Merchant)","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","title":"Merchant.Order","description":"Merchant.Order objects contain information about orders.","additionalProperties":true,"required":["OrderId","MerchantGUID","PaymentDetails"],"properties":{"MerchantGUID":{"type":"string","description":"Unique identifier of the Merchant on Global-e.","isRequired":true,"uniqueKey":"MerchantGUID","typeLabel":"string"},"OrderId":{"type":"string","description":"Global-e order unique identifier.","isRequired":true,"uniqueKey":"OrderId","typeLabel":"string"},"PaymentDetails":{"type":"object","title":"Merchant.PaymentDetails","description":"The paying customer's payment details.","properties":{"Address1":{"type":"string","description":"Address line 1","uniqueKey":"PaymentDetails.Address1","typeLabel":"string"},"Address2":{"type":"string","description":"Address line 2","uniqueKey":"PaymentDetails.Address2","typeLabel":"string"},"CardNumber":{"type":"string","description":"Card number","uniqueKey":"PaymentDetails.CardNumber","typeLabel":"string"},"City":{"type":"string","description":"City name","uniqueKey":"PaymentDetails.City","typeLabel":"string"},"CountryCode":{"type":"string","description":"2-char ISO country code","uniqueKey":"PaymentDetails.CountryCode","typeLabel":"string"},"CountryName":{"type":"string","description":"Country name","uniqueKey":"PaymentDetails.CountryName","typeLabel":"string"},"CVVNumber":{"type":"string","description":"Card CVV number","uniqueKey":"PaymentDetails.CVVNumber","typeLabel":"string"},"Email":{"type":"string","description":"E-mail address","uniqueKey":"PaymentDetails.Email","typeLabel":"string"},"ExpirationDate":{"type":"string","description":"Card expiration date (in YYYY-MM-DD format)","uniqueKey":"PaymentDetails.ExpirationDate","typeLabel":"string"},"Fax":{"type":"string","description":"Fax","uniqueKey":"PaymentDetails.Fax","typeLabel":"string"},"OwnerFirstName":{"type":"string","description":"Card owner's first name","uniqueKey":"PaymentDetails.OwnerFirstName","typeLabel":"string"},"OwnerLastName":{"type":"string","description":"Card owner's last name","uniqueKey":"PaymentDetails.OwnerLastName","typeLabel":"string"},"OwnerName":{"type":"string","description":"Card owner's full name (the Merchant may choose to consider either full name or first name with the last name, according to the existing payment method input validation requirements).","uniqueKey":"PaymentDetails.OwnerName","typeLabel":"string"},"PaymentMethodCode":{"type":"string","description":"Payment method code used to identify the payment method on the Merchant's site (to be mapped on the Global-e side).","uniqueKey":"PaymentDetails.PaymentMethodCode","typeLabel":"string"},"PaymentMethodName":{"type":"string","description":"Payment method name","uniqueKey":"PaymentDetails.PaymentMethodName","typeLabel":"string"},"PaymentMethodTypeCode":{"type":"string","description":"Payment method type's code used to identify the payment method type (such as Credit Card or Check) on the Merchant's site (to be mapped on the Global-e side).","uniqueKey":"PaymentDetails.PaymentMethodTypeCode","typeLabel":"string"},"Phone1":{"type":"string","description":"Phone","uniqueKey":"PaymentDetails.Phone1","typeLabel":"string"},"Phone2":{"type":"string","description":"Phone","uniqueKey":"PaymentDetails.Phone2","typeLabel":"string"},"StateCode":{"type":"string","description":"State or province ISO code such as AZ for Arizona (if applicable)","uniqueKey":"PaymentDetails.StateCode","typeLabel":"string"},"StateOrProvince":{"type":"string","description":"State or province name","uniqueKey":"PaymentDetails.StateOrProvince","typeLabel":"string"},"Zip":{"type":"string","description":"Zip or postal code","uniqueKey":"PaymentDetails.Zip","typeLabel":"string"}},"isRequired":true,"uniqueKey":"PaymentDetails","typeLabel":"Merchant.PaymentDetails · object"},"AdditionalRequiredDocuments":{"type":"array","items":{"type":"object","title":"OrderDocument","properties":{"CreationDateTime":{"type":"string","description":"The date and time the document was created.","uniqueKey":"AdditionalRequiredDocuments.items.[INDEX].CreationDateTime","typeLabel":"string"},"DocumentData":{"type":"string","description":"Base64 encoded byte array representing the document file content.","uniqueKey":"AdditionalRequiredDocuments.items.[INDEX].DocumentData","typeLabel":"string"},"DocumentExtension":{"type":"string","description":"Document extension (PDF, ZPL, EPL).","uniqueKey":"AdditionalRequiredDocuments.items.[INDEX].DocumentExtension","typeLabel":"string"},"DocumentReference":{"type":"string","description":"The reference provided by the government authorities to this document (such as MRN or ITN number).","uniqueKey":"AdditionalRequiredDocuments.items.[INDEX].DocumentReference","typeLabel":"string"},"DocumentTypeCode":{"type":"string","description":"Document type code, this value can be:\nCommercialInvoice = 1\nPackingList = 2\nShipperManifest = 3\nLabel = 4\nVATInvoice = 5\nDangerousGoodDeclarationLink = 6\nGELabel = 7\nCustomerReceiptInvoice = 8\nArchibeLabel = 9\nDeliveryAdvice = 10\nEAD = 11","uniqueKey":"AdditionalRequiredDocuments.items.[INDEX].DocumentTypeCode","typeLabel":"string"},"DocumentTypeName":{"type":"string","description":"Document type name, e.g. AWB, CommercialInvoiceAndPackingList or Manifest.","uniqueKey":"AdditionalRequiredDocuments.items.[INDEX].DocumentTypeName","typeLabel":"string"},"ErrorMessage":{"type":"string","description":"Description of the error for this entity (order/parcel) if it happened.","uniqueKey":"AdditionalRequiredDocuments.items.[INDEX].ErrorMessage","typeLabel":"string"},"ParcelCode":{"type":"string","description":"The parcel code related to the document.","uniqueKey":"AdditionalRequiredDocuments.items.[INDEX].ParcelCode","typeLabel":"string"},"ShippingServiceName":{"type":"string","description":"The name of the shipping service for this document (relevant for DispatchOrders and DispatchConsolidatedShipment).","uniqueKey":"AdditionalRequiredDocuments.items.[INDEX].ShippingServiceName","typeLabel":"string"},"TrackingNumber":{"type":"string","description":"Shipping tracking number associated with the document.","uniqueKey":"AdditionalRequiredDocuments.items.[INDEX].TrackingNumber","typeLabel":"string"},"URL":{"type":"string","description":"URL of the document.","uniqueKey":"AdditionalRequiredDocuments.items.[INDEX].URL","typeLabel":"string"}},"uniqueKey":"AdditionalRequiredDocuments.items.[INDEX]","typeLabel":"OrderDocument · object"},"description":"The required additional documents for shipping. When the information is provided, the Merchant must wait for the documents to be provided before starting fulfilment.","uniqueKey":"AdditionalRequiredDocuments","typeLabel":"OrderDocument · object[]"},"AllowMailsFromMerchant":{"type":"boolean","description":"Indicates if the end customer has opted on the Global-e checkout page to receive emails from the Merchant.\nTRUE - Customer opted to receive emails\nFALSE - Customer did not opt to receive emails","uniqueKey":"AllowMailsFromMerchant","typeLabel":"boolean"},"CartHash":{"type":"string","description":"Cart hash originally specified in the merchantCartHash argument for the SendCart method for the cart converted to this order on Global-e.","uniqueKey":"CartHash","typeLabel":"string"},"CartId":{"type":"string","description":"Identifier of the cart on the Merchant's site originally specified in merchantCartToken argument for SendCart method for the cart converted to this order on Global-e.","uniqueKey":"CartId","typeLabel":"string"},"CashOnDeliveryFee":{"type":"number","description":"Cash On Delivery fee amount in Merchant's currency.","uniqueKey":"CashOnDeliveryFee","typeLabel":"number"},"CCFPrice":{"type":"number","description":"Customs Clearance Fees (CCF), in the Merchant currency.","uniqueKey":"CCFPrice","typeLabel":"number"},"ClearCart":{"type":"boolean","description":"Indicates if the end customer's cart must be cleared before this method finishes execution on the Merchant's site.\nTRUE - The end customer's cart must be cleared\nFALSE - The end customer's cart does not have to be cleared","uniqueKey":"ClearCart","typeLabel":"boolean"},"CurrencyCode":{"type":"string","description":"3-char ISO currency code for the order being posted. By default, this is set to the original Merchant's currency.","uniqueKey":"CurrencyCode","typeLabel":"string"},"CurrencyName":{"type":"string","description":"Customer currency name.","uniqueKey":"CurrencyName","typeLabel":"string"},"Customer":{"type":"object","title":"Merchant.Customer","description":"The paying customer's preferences (Global-e acts as a paying customer).","properties":{"IsEndCustomerPrimary":{"type":"boolean","description":"Indicates if end customer details are \"swapped\" with a paying (Global-e) customer's details when submitting the order to the Merchant. By default, IsEndCustomerPrimary is FALSE.\nTRUE - The primary customer is the same as the end customer who has placed the order\nFALSE - The primary customer denotes the paying (Global-e) customer and the secondary customer denotes the end customer who has placed the order with Global-e checkout","uniqueKey":"Customer.IsEndCustomerPrimary","typeLabel":"boolean"},"SendConfirmation":{"type":"boolean","description":"Indicates if e-mail confirmation of the respective order's status change needs to be sent to the paying customer (Global-e acts as a paying customer).","uniqueKey":"Customer.SendConfirmation","typeLabel":"boolean"}},"uniqueKey":"Customer","typeLabel":"Merchant.Customer · object"},"CustomerComments":{"type":"string","description":"Holds the gift message. In the offline order flow, holds the product comment.","uniqueKey":"CustomerComments","typeLabel":"string"},"CustomerDTBreakdown":{"type":"object","title":"DTBreakdown","description":"Contains the duties and tax parts the customer paid for the order.","properties":{"Duties":{"type":"number","description":"Duties that are applied.","uniqueKey":"CustomerDTBreakdown.Duties","typeLabel":"number"},"Other":{"type":"number","description":"Other DT fees that are applied.","uniqueKey":"CustomerDTBreakdown.Other","typeLabel":"number"},"SalesTaxes":{"type":"number","description":"Sales taxes that are applied.","uniqueKey":"CustomerDTBreakdown.SalesTaxes","typeLabel":"number"}},"uniqueKey":"CustomerDTBreakdown","typeLabel":"DTBreakdown · object"},"DateCreated":{"type":"string","description":"Order creation date and time.","uniqueKey":"DateCreated","typeLabel":"string"},"DiscountedShippingPrice":{"type":"number","description":"The shipping price paid by the customer converted to the Merchant's currency. Total Shipping price reducing Order Discounts (InternationalDetails.DiscountedShippingPrice price converted to the Merchant currency).","uniqueKey":"DiscountedShippingPrice","typeLabel":"number"},"Discounts":{"type":"array","items":{"type":"object","title":"Merchant.Discount","properties":{"CouponCode":{"type":"string","description":"Merchant CouponCode used for this discount (applicable to coupon-based discounts only)","uniqueKey":"Discounts.items.[INDEX].CouponCode","typeLabel":"string"},"Description":{"type":"string","description":"Discount textual description","uniqueKey":"Discounts.items.[INDEX].Description","typeLabel":"string"},"DiscountCode":{"type":"string","description":"Discount code originally specified in the Discount.DiscountCode property of the respective discount in SendCart method for the cart converted to this order on Global-e.","uniqueKey":"Discounts.items.[INDEX].DiscountCode","typeLabel":"string"},"DiscountSource":{"type":"integer","enum":[1,2,3,4,5,6,7,8,9],"description":"The enum DiscountSource has the following possible values:\n1 = Merchant\n2 = FixedShippingPrice\n3 = PercentageCartPrice\n4 = HiddenForceDDP\n5 = Amend\n6 = RemoteAreaSurchargeSubsidy\n7 = LoyaltyPoints\n8 = PaymentCharge\n9 = ReplacementOrder","uniqueKey":"Discounts.items.[INDEX].DiscountSource","typeLabel":"enum\u003cinteger>"},"DiscountType":{"type":"number","description":"Discount type (\"Cart\", \"Shipping\", etc.), as defined in the DiscountTypeOptions enumeration described in the Discount class in this document.","uniqueKey":"Discounts.items.[INDEX].DiscountType","typeLabel":"number"},"InternationalPrice":{"type":"number","description":"Discount value in end customer's currency (specified in InternationalDetails.CurrencyCode property for the respective Merchant.Order), after applying country coefficient, FX conversion, and IncludeVAT handling.","uniqueKey":"Discounts.items.[INDEX].InternationalPrice","typeLabel":"number"},"LocalVATRate":{"type":"number","description":"The VAT rate that would be applied to this discount if the order was placed by the local customer. This value must be specified if UseCountryVAT for the current Country is TRUE and therefore the VATRate property denotes the VAT for the target country.","uniqueKey":"Discounts.items.[INDEX].LocalVATRate","typeLabel":"number"},"LoyaltyVoucherCode":{"type":"string","description":"Loyalty Voucher code originally specified in Discount.LoyaltyVoucherCode property of the respective discount in SendCart method for the cart converted to this order on Global-e.","uniqueKey":"Discounts.items.[INDEX].LoyaltyVoucherCode","typeLabel":"string"},"Name":{"type":"string","description":"Discount name","uniqueKey":"Discounts.items.[INDEX].Name","typeLabel":"string"},"Price":{"type":"number","description":"Discount value in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant.","uniqueKey":"Discounts.items.[INDEX].Price","typeLabel":"number"},"ProductCartItemId":{"type":"string","description":"Identifier of the product cart item related to this discount on the Merchant's site originally specified in the Discount.ProductCartItemId property of the respective discount in the SendCart method for the cart converted to this order on Global-e.","uniqueKey":"Discounts.items.[INDEX].ProductCartItemId","typeLabel":"string"},"VATRate":{"type":"number","description":"The VAT rate applied to this discount","uniqueKey":"Discounts.items.[INDEX].VATRate","typeLabel":"number"}},"uniqueKey":"Discounts.items.[INDEX]","typeLabel":"Merchant.Discount · object"},"description":"The list of discounts being applied to the order, according to the original list of discounts received in SendCart for this order, and to the Merchant shipping configuration on Global-e.","uniqueKey":"Discounts","typeLabel":"Merchant.Discount · object[]"},"DoNotChargeVAT":{"type":"boolean","description":"Indicates if the end customer hasn't been charged VAT in Global-e checkout, as specified in the doNotChargeVAT argument for the SendCart method for the cart converted to this order on Global-e.\nTRUE - VAT is not charged\nTRUE - VAT is charged","uniqueKey":"DoNotChargeVAT","typeLabel":"boolean"},"ExporterDetails":{"type":"object","title":"ExporterDetails","properties":{"DestinationRegistrationNumber":{"type":"number","description":"The Tax reference number of the GE Entity at the destination country. Should only be provided when the order is tax-collected. Otherwise, the field should be Null. The value should be Null if the order destination is for an EU country.","uniqueKey":"ExporterDetails.DestinationRegistrationNumber","typeLabel":"number"},"LocalRegistrationClearance":{"type":"boolean","description":"Indicates whether the Merchant can use the destination Registration number.\nTRUE - Merchant can use destination Registration number (ExporterDetails.DestinationRegistrationNumber)\nFALSE - Merchant cannot use destination Registration number .","uniqueKey":"ExporterDetails.LocalRegistrationClearance","typeLabel":"boolean"}},"uniqueKey":"ExporterDetails","typeLabel":"ExporterDetails · object"},"FreeShippingCouponCode":{"type":"string","description":"Merchant's free shipping CouponCode applied by the end customer, as specified in the FreeShippingCouponCode argument for the SendCart method for the cart converted to this order on Global-e.","uniqueKey":"FreeShippingCouponCode","typeLabel":"string"},"InternationalDetails":{"type":"object","title":"Merchant.InternationalDetails","description":"Details referring to the end customer's order placed on the Global-e side. These details apply only to the Merchants dealing with international customers' support themselves.","properties":{"CardNumberLastFourDigits":{"type":"string","description":"The last 4 digits of the Card number (if applicable).","uniqueKey":"InternationalDetails.CardNumberLastFourDigits","typeLabel":"string"},"CashOnDeliveryFee":{"type":"number","description":"The additional charge is paid by the end customer when the \"Cash on Delivery\" payment method has been selected.","uniqueKey":"InternationalDetails.CashOnDeliveryFee","typeLabel":"number"},"ConsignmentFee":{"type":"number","description":"The consignment fee is paid by the end customer in the currency denoted by CurrencyCode. This value is included in TotalShippingPrice.","uniqueKey":"InternationalDetails.ConsignmentFee","typeLabel":"number"},"CurrencyCode":{"type":"string","description":"3-char ISO code for the currency selected by the end customer for the order payment.","uniqueKey":"InternationalDetails.CurrencyCode","typeLabel":"string"},"CustomerDTBreakdown":{"type":"object","title":"DTBreakdown","description":"Contains the duties and taxes parts the customer paid for the order in the currency denoted by CurrencyCode.","properties":{"Duties":{"type":"number","description":"Duties that are applied.","uniqueKey":"InternationalDetails.CustomerDTBreakdown.Duties","typeLabel":"number"},"Other":{"type":"number","description":"Other DT fees that are applied.","uniqueKey":"InternationalDetails.CustomerDTBreakdown.Other","typeLabel":"number"},"SalesTaxes":{"type":"number","description":"Sales taxes that are applied.","uniqueKey":"InternationalDetails.CustomerDTBreakdown.SalesTaxes","typeLabel":"number"}},"uniqueKey":"InternationalDetails.CustomerDTBreakdown","typeLabel":"DTBreakdown · object"},"DeliveryDaysFrom":{"type":"number","description":"The minimum number of days for delivery to the end customer for the selected shipping method.","uniqueKey":"InternationalDetails.DeliveryDaysFrom","typeLabel":"number"},"DeliveryDaysTo":{"type":"number","description":"The maximum number of days for delivery to the end customer for the selected shipping method.","uniqueKey":"InternationalDetails.DeliveryDaysTo","typeLabel":"number"},"DiscountedShippingPrice":{"type":"number","description":"The price paid by the customer in local currency. Total Shipping price reducing Order Discounts International price.","uniqueKey":"InternationalDetails.DiscountedShippingPrice","typeLabel":"number"},"DutiesGuaranteed":{"type":"boolean","description":"Indicates if the end customer has selected the \"guaranteed duties and taxes\" option.","uniqueKey":"InternationalDetails.DutiesGuaranteed","typeLabel":"boolean"},"ExpirationDate":{"type":"string","description":"Card expiration date in YYYY-MM-DD format (if applicable).","uniqueKey":"InternationalDetails.ExpirationDate","typeLabel":"string"},"MerchantDTBreakdown":{"type":"object","title":"DTBreakdown","description":"Contains the duties and taxes parts the Merchant subsidized for the order in the currency denoted by CurrencyCode.","properties":{"Duties":{"type":"number","description":"Duties that are applied.","uniqueKey":"InternationalDetails.MerchantDTBreakdown.Duties","typeLabel":"number"},"Other":{"type":"number","description":"Other DT fees that are applied.","uniqueKey":"InternationalDetails.MerchantDTBreakdown.Other","typeLabel":"number"},"SalesTaxes":{"type":"number","description":"Sales taxes that are applied.","uniqueKey":"InternationalDetails.MerchantDTBreakdown.SalesTaxes","typeLabel":"number"}},"uniqueKey":"InternationalDetails.MerchantDTBreakdown","typeLabel":"DTBreakdown · object"},"OrderTrackingNumber":{"type":"string","description":"Tracking number used by the selected international shipping method for this order.","uniqueKey":"InternationalDetails.OrderTrackingNumber","typeLabel":"string"},"OrderTrackingUrl":{"type":"string","description":"Full tracking URL including OrderTrackingNumber used by the selected international shipping method for this order.","uniqueKey":"InternationalDetails.OrderTrackingUrl","typeLabel":"string"},"OrderWaybillNumber":{"type":"string","description":"Waybill number used by the selected international shipping method for this order.","uniqueKey":"InternationalDetails.OrderWaybillNumber","typeLabel":"string"},"ParcelsTracking":{"type":"array","items":{"type":"object","title":"Merchant.ParcelTracking","properties":{"Code":{"type":"string","description":"Parcel code.","uniqueKey":"InternationalDetails.ParcelsTracking.items.[INDEX].Code","typeLabel":"string"},"ParcelStatusId":{"type":"number","description":"Parcel status id.","uniqueKey":"InternationalDetails.ParcelsTracking.items.[INDEX].ParcelStatusId","typeLabel":"number"},"StatusName":{"type":"string","description":"Parcel status name.","uniqueKey":"InternationalDetails.ParcelsTracking.items.[INDEX].StatusName","typeLabel":"string"},"TrackingUrl":{"type":"string","description":"Direct tracking URL.","uniqueKey":"InternationalDetails.ParcelsTracking.items.[INDEX].TrackingUrl","typeLabel":"string"},"Products":{"type":"array","items":{"type":"object","title":"Merchant.ParcelProduct","properties":{"CartItemId":{"type":"string","description":"Cart item id of the product.","uniqueKey":"InternationalDetails.ParcelsTracking.items.[INDEX].Products.items.[INDEX].CartItemId","typeLabel":"string"},"Quantity":{"type":"number","description":"Product quantity included in the parcel.","uniqueKey":"InternationalDetails.ParcelsTracking.items.[INDEX].Products.items.[INDEX].Quantity","typeLabel":"number"},"Sku":{"type":"string","description":"Product SKU.","uniqueKey":"InternationalDetails.ParcelsTracking.items.[INDEX].Products.items.[INDEX].Sku","typeLabel":"string"}},"uniqueKey":"InternationalDetails.ParcelsTracking.items.[INDEX].Products.items.[INDEX]","typeLabel":"Merchant.ParcelProduct · object"},"description":"List of products included in the parcel.","uniqueKey":"InternationalDetails.ParcelsTracking.items.[INDEX].Products","typeLabel":"Merchant.ParcelProduct · object[]"}},"uniqueKey":"InternationalDetails.ParcelsTracking.items.[INDEX]","typeLabel":"Merchant.ParcelTracking · object"},"description":"List of Merchant.ParcelTracking objects, each object holds the parcel tracking number and full tracking URL for the relevant shipper (with the parcel tracking number).","uniqueKey":"InternationalDetails.ParcelsTracking","typeLabel":"Merchant.ParcelTracking · object[]"},"PaymentMethodCode":{"type":"string","description":"Code denoting the selected payment method as defined on the Merchant's site (to be mapped on the Global-e side). If this payment method doesn't exist on the Merchant's site, the internal Global-e payment method code will be specified instead.","uniqueKey":"InternationalDetails.PaymentMethodCode","typeLabel":"string"},"PaymentMethodName":{"type":"string","description":"Name of the selected payment method.","uniqueKey":"InternationalDetails.PaymentMethodName","typeLabel":"string"},"RemoteAreaSurcharge":{"type":"number","description":"Remote area surcharge paid by the end customer in the currency denoted by CurrencyCode. This value is included in TotalShippingPrice.","uniqueKey":"InternationalDetails.RemoteAreaSurcharge","typeLabel":"number"},"SameDayDispatchCost":{"type":"number","description":"Cost of the \"Same Day Dispatch\" option (if selected by the end customer on Global-e checkout), in the currency denoted by CurrencyCode. This value is NOT included in TotalShippingPrice.","uniqueKey":"InternationalDetails.SameDayDispatchCost","typeLabel":"number"},"ShippingMethodCode":{"type":"string","description":"Code denoting the selected international shipping method as defined on the Merchant's site (to be mapped on the Global-e side). If this international shipping method doesn't exist on the Merchant's site, the internal Global-e shipping method code will be specified instead.","uniqueKey":"InternationalDetails.ShippingMethodCode","typeLabel":"string"},"ShippingMethodName":{"type":"string","description":"Name of the selected international shipping method.","uniqueKey":"InternationalDetails.ShippingMethodName","typeLabel":"string"},"ShippingMethodStatusCode":{"type":"string","description":"Code denoting the selected shipping status as defined on the Merchant's site (to be mapped on the Global-e side). If this shipping status doesn't exist on the Merchant's site, the internal Global-e shipping status code will be specified instead.","uniqueKey":"InternationalDetails.ShippingMethodStatusCode","typeLabel":"string"},"ShippingMethodStatusName":{"type":"string","description":"Name of the shipping status.","uniqueKey":"InternationalDetails.ShippingMethodStatusName","typeLabel":"string"},"ShippingMethodTypeCode":{"type":"string","description":"Code denoting the selected international shipping method type as defined on the Merchant's site (to be mapped on the Global-e side). If this international shipping method type does not exist on the Merchant's site, the internal Global-e shipping method type code will be specified instead.","uniqueKey":"InternationalDetails.ShippingMethodTypeCode","typeLabel":"string"},"ShippingMethodTypeName":{"type":"string","description":"Name of the selected international shipping method type.","uniqueKey":"InternationalDetails.ShippingMethodTypeName","typeLabel":"string"},"ShippingVATRate":{"type":"number","description":"The shipping VAT rate for the customer. This rate is applied to the shipping cost.","uniqueKey":"InternationalDetails.ShippingVATRate","typeLabel":"number"},"SizeOverchargeValue":{"type":"number","description":"Oversized items charge paid by the end customer in the currency denoted by CurrencyCode. This value is included in TotalShippingPrice.","uniqueKey":"InternationalDetails.SizeOverchargeValue","typeLabel":"number"},"TotalCCFPrice":{"type":"number","description":"Total Customs Clearance Fees value in the currency denoted by CurrencyCode. This value is included in TotalDutiesPrice.","uniqueKey":"InternationalDetails.TotalCCFPrice","typeLabel":"number"},"TotalDutiesPrice":{"type":"number","description":"Total Duties \u0026 Taxes value including Customs Clearance Fees, in the currency denoted by CurrencyCode.","uniqueKey":"InternationalDetails.TotalDutiesPrice","typeLabel":"number"},"TotalPrice":{"type":"number","description":"Total order price in the currency denoted by CurrencyCode.","uniqueKey":"InternationalDetails.TotalPrice","typeLabel":"number"},"TotalShippingPrice":{"type":"number","description":"Total shipping price in the currency denoted by CurrencyCode.","uniqueKey":"InternationalDetails.TotalShippingPrice","typeLabel":"number"},"TotalVATAmount":{"type":"number","description":"Amount of VAT paid by the customer to Global-e","uniqueKey":"InternationalDetails.TotalVATAmount","typeLabel":"number"},"TransactionCurrencyCode":{"type":"string","description":"3-char ISO code for the currency actually used for the current order payment. TransactionCurrencyCode may differ from CurrencyCode if the currency selected by the end customer could not be used with the selected payment method.","uniqueKey":"InternationalDetails.TransactionCurrencyCode","typeLabel":"string"},"TransactionTotalPrice":{"type":"number","description":"Total order price actually paid by the end customer in the currency denoted by TransactionCurrencyCode.","uniqueKey":"InternationalDetails.TransactionTotalPrice","typeLabel":"number"},"USSalesTax":{"type":"number","description":"Sales tax value for the USA in the currency denoted by CurrencyCode. This value is included in TotalDutiesPrice.","uniqueKey":"InternationalDetails.USSalesTax","typeLabel":"number"}},"uniqueKey":"InternationalDetails","typeLabel":"Merchant.InternationalDetails · object"},"IsB2B":{"type":"boolean","description":"Indicates if the order has a Company name and VAT registration number.\nTRUE - Order contains a company name and VAT registration number\nFALSE - Order does not contain a company name and VAT registration number","uniqueKey":"IsB2B","typeLabel":"boolean"},"IsFreeShipping":{"type":"boolean","description":"Indicates if the Merchant offers free international shipping to the end customer, as specified in the IsFreeShipping argument for the SendCart method for the cart converted to this order on Global-e.\nTRUE - Shipping is free.\nFALSE - Shipping is not free.","uniqueKey":"IsFreeShipping","typeLabel":"boolean"},"IsMoto":{"type":"boolean","description":"Indicates if the customer is a customer support agent and an \"Offline order\" took place\nTRUE - The customer is a customer support agent and an \"Offline order\" took place\nFALSE - The customer is a regular customer","uniqueKey":"IsMoto","typeLabel":"boolean"},"IsReplacementOrder":{"type":"boolean","description":"Indicates if the order is a replacement.\nTRUE - The order is a replacement\nFALSE - The order is not a replacement","uniqueKey":"IsReplacementOrder","typeLabel":"boolean"},"IsSplitOrder":{"type":"boolean","description":"Indicates if the order should be handled as a split order (i.e. without consolidation).\nTRUE - Order will be split\nFALSE - Order is not to be split","uniqueKey":"IsSplitOrder","typeLabel":"boolean"},"IsTaxExemption":{"type":"boolean","description":"Indicates if the order has a tax exemption.\nTRUE - Order has a tax exemption\nFALSE - Order does not have a tax exemption","uniqueKey":"IsTaxExemption","typeLabel":"boolean"},"LoyaltyCode":{"type":"string","description":"Loyalty code applicable to the Merchant's site entered by the end customer in Global-e checkout.","uniqueKey":"LoyaltyCode","typeLabel":"string"},"LoyaltyPointsEarned":{"type":"number","description":"The number of loyalty points to be earned for this purchase by the end customer on the Merchant's site, as specified in the loyaltyPointsEarned argument for the SendCart method for the cart converted to this order on Global-e.","uniqueKey":"LoyaltyPointsEarned","typeLabel":"number"},"LoyaltyPointsSpent":{"type":"number","description":"The number of loyalty points spent for this purchase. The existing loyalty points handling procedure must be applied to the end customer's user account. Therefore, the \"Loyalty points\" type discount must not be applied to the order directly but can be used for display purposes elsewhere in the system (i.e. on the end user's My Account page).","uniqueKey":"LoyaltyPointsSpent","typeLabel":"number"},"Markups":{"type":"array","items":{"type":"object","title":"Merchant.Discount","properties":{"CouponCode":{"type":"string","description":"Merchant CouponCode used for this discount (applicable to coupon-based discounts only)","uniqueKey":"Markups.items.[INDEX].CouponCode","typeLabel":"string"},"Description":{"type":"string","description":"Discount textual description","uniqueKey":"Markups.items.[INDEX].Description","typeLabel":"string"},"DiscountCode":{"type":"string","description":"Discount code originally specified in the Discount.DiscountCode property of the respective discount in SendCart method for the cart converted to this order on Global-e.","uniqueKey":"Markups.items.[INDEX].DiscountCode","typeLabel":"string"},"DiscountSource":{"type":"integer","enum":[1,2,3,4,5,6,7,8,9],"description":"The enum DiscountSource has the following possible values:\n1 = Merchant\n2 = FixedShippingPrice\n3 = PercentageCartPrice\n4 = HiddenForceDDP\n5 = Amend\n6 = RemoteAreaSurchargeSubsidy\n7 = LoyaltyPoints\n8 = PaymentCharge\n9 = ReplacementOrder","uniqueKey":"Markups.items.[INDEX].DiscountSource","typeLabel":"enum\u003cinteger>"},"DiscountType":{"type":"number","description":"Discount type (\"Cart\", \"Shipping\", etc.), as defined in the DiscountTypeOptions enumeration described in the Discount class in this document.","uniqueKey":"Markups.items.[INDEX].DiscountType","typeLabel":"number"},"InternationalPrice":{"type":"number","description":"Discount value in end customer's currency (specified in InternationalDetails.CurrencyCode property for the respective Merchant.Order), after applying country coefficient, FX conversion, and IncludeVAT handling.","uniqueKey":"Markups.items.[INDEX].InternationalPrice","typeLabel":"number"},"LocalVATRate":{"type":"number","description":"The VAT rate that would be applied to this discount if the order was placed by the local customer. This value must be specified if UseCountryVAT for the current Country is TRUE and therefore the VATRate property denotes the VAT for the target country.","uniqueKey":"Markups.items.[INDEX].LocalVATRate","typeLabel":"number"},"LoyaltyVoucherCode":{"type":"string","description":"Loyalty Voucher code originally specified in Discount.LoyaltyVoucherCode property of the respective discount in SendCart method for the cart converted to this order on Global-e.","uniqueKey":"Markups.items.[INDEX].LoyaltyVoucherCode","typeLabel":"string"},"Name":{"type":"string","description":"Discount name","uniqueKey":"Markups.items.[INDEX].Name","typeLabel":"string"},"Price":{"type":"number","description":"Discount value in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant.","uniqueKey":"Markups.items.[INDEX].Price","typeLabel":"number"},"ProductCartItemId":{"type":"string","description":"Identifier of the product cart item related to this discount on the Merchant's site originally specified in the Discount.ProductCartItemId property of the respective discount in the SendCart method for the cart converted to this order on Global-e.","uniqueKey":"Markups.items.[INDEX].ProductCartItemId","typeLabel":"string"},"VATRate":{"type":"number","description":"The VAT rate applied to this discount","uniqueKey":"Markups.items.[INDEX].VATRate","typeLabel":"number"}},"uniqueKey":"Markups.items.[INDEX]","typeLabel":"Merchant.Discount · object"},"description":"The list of markups being applied to the order, according to the Merchant shipping configuration on Global-e. Effectively Markup is a \"negative Discount\". The main use case for markups is when the end customer is charged in Global-e checkout, a flat shipping rate, which is higher than the shipping rate, calculated for the respective order. In this case, Global-e pays the difference to the Merchant in the form of Markups applied to the order. Unlike Discounts, Markups may be only passed to the Merchant's back-end ERP system for reconciliation purposes, and may not be displayed to the end customer.","uniqueKey":"Markups","typeLabel":"Merchant.Discount · object[]"},"MerchantDTBreakdown":{"type":"object","title":"DTBreakdown","description":"Contains the duties and tax parts that the Merchant subsidized for the order.","properties":{"Duties":{"type":"number","description":"Duties that are applied.","uniqueKey":"MerchantDTBreakdown.Duties","typeLabel":"number"},"Other":{"type":"number","description":"Other DT fees that are applied.","uniqueKey":"MerchantDTBreakdown.Other","typeLabel":"number"},"SalesTaxes":{"type":"number","description":"Sales taxes that are applied.","uniqueKey":"MerchantDTBreakdown.SalesTaxes","typeLabel":"number"}},"uniqueKey":"MerchantDTBreakdown","typeLabel":"DTBreakdown · object"},"MerchantOrderId":{"type":"string","description":"Order unique identifier on the Merchant's site returned from a previous call to the SendOrderToMerchant method for this order.","uniqueKey":"MerchantOrderId","typeLabel":"string"},"ModifiedProduct":{"type":"string","description":"Holds the product's SKU","uniqueKey":"ModifiedProduct","typeLabel":"string"},"OrderCreationSource":{"type":"number","enum":[0,1],"description":"One of the values of OrderCreationSource enumeration denoting a type of discount shown in the OrderCreationSource Table.\n0 = GECheckout - The default value for orders created in a normal flow via Global-e Checkout\n1 = Marketplace - The value for orders that are created at a marketplace and sent to Global-e via your brand","uniqueKey":"OrderCreationSource","typeLabel":"enum\u003cnumber>"},"OrderDocuments":{"type":"array","items":{"type":"object","title":"OrderDocument","properties":{"CreationDateTime":{"type":"string","description":"The date and time the document was created.","uniqueKey":"OrderDocuments.items.[INDEX].CreationDateTime","typeLabel":"string"},"DocumentData":{"type":"string","description":"Base64 encoded byte array representing the document file content.","uniqueKey":"OrderDocuments.items.[INDEX].DocumentData","typeLabel":"string"},"DocumentExtension":{"type":"string","description":"Document extension (PDF, ZPL, EPL).","uniqueKey":"OrderDocuments.items.[INDEX].DocumentExtension","typeLabel":"string"},"DocumentReference":{"type":"string","description":"The reference provided by the government authorities to this document (such as MRN or ITN number).","uniqueKey":"OrderDocuments.items.[INDEX].DocumentReference","typeLabel":"string"},"DocumentTypeCode":{"type":"string","description":"Document type code, this value can be:\nCommercialInvoice = 1\nPackingList = 2\nShipperManifest = 3\nLabel = 4\nVATInvoice = 5\nDangerousGoodDeclarationLink = 6\nGELabel = 7\nCustomerReceiptInvoice = 8\nArchibeLabel = 9\nDeliveryAdvice = 10\nEAD = 11","uniqueKey":"OrderDocuments.items.[INDEX].DocumentTypeCode","typeLabel":"string"},"DocumentTypeName":{"type":"string","description":"Document type name, e.g. AWB, CommercialInvoiceAndPackingList or Manifest.","uniqueKey":"OrderDocuments.items.[INDEX].DocumentTypeName","typeLabel":"string"},"ErrorMessage":{"type":"string","description":"Description of the error for this entity (order/parcel) if it happened.","uniqueKey":"OrderDocuments.items.[INDEX].ErrorMessage","typeLabel":"string"},"ParcelCode":{"type":"string","description":"The parcel code related to the document.","uniqueKey":"OrderDocuments.items.[INDEX].ParcelCode","typeLabel":"string"},"ShippingServiceName":{"type":"string","description":"The name of the shipping service for this document (relevant for DispatchOrders and DispatchConsolidatedShipment).","uniqueKey":"OrderDocuments.items.[INDEX].ShippingServiceName","typeLabel":"string"},"TrackingNumber":{"type":"string","description":"Shipping tracking number associated with the document.","uniqueKey":"OrderDocuments.items.[INDEX].TrackingNumber","typeLabel":"string"},"URL":{"type":"string","description":"URL of the document.","uniqueKey":"OrderDocuments.items.[INDEX].URL","typeLabel":"string"}},"uniqueKey":"OrderDocuments.items.[INDEX]","typeLabel":"OrderDocument · object"},"description":"Always contains a single document - it can be either a VAT Invoice or a Customer Receipt, depends if it is within the EU or not.","uniqueKey":"OrderDocuments","typeLabel":"OrderDocument · object[]"},"OrderPaymentMethods":{"type":"array","items":{"type":"object","title":"OrderPaymentMethod","properties":{"GiftCardFields":{"type":"string","description":"Gift card fields","uniqueKey":"OrderPaymentMethods.items.[INDEX].GiftCardFields","typeLabel":"string"},"IsGiftCard":{"type":"boolean","description":"Indicates if the order payment method is a gift card.\nTRUE if using a gift card for payment\nFALSE if not using a gift card","uniqueKey":"OrderPaymentMethods.items.[INDEX].IsGiftCard","typeLabel":"boolean"},"PaidAmountInCustomerCurrency":{"type":"number","description":"Amount that paid in customer's currency","uniqueKey":"OrderPaymentMethods.items.[INDEX].PaidAmountInCustomerCurrency","typeLabel":"number"},"PaidAmountInMerchantCurrency":{"type":"number","description":"Amount paid in Merchant's currency","uniqueKey":"OrderPaymentMethods.items.[INDEX].PaidAmountInMerchantCurrency","typeLabel":"number"},"PaymentMethodId":{"type":"number","description":"The ID for the payment method","uniqueKey":"OrderPaymentMethods.items.[INDEX].PaymentMethodId","typeLabel":"number"},"PaymentMethodName":{"type":"string","description":"Name of the payment method","uniqueKey":"OrderPaymentMethods.items.[INDEX].PaymentMethodName","typeLabel":"string"}},"uniqueKey":"OrderPaymentMethods.items.[INDEX]","typeLabel":"OrderPaymentMethod · object"},"description":"List of payment methods the customer use (Credit card, Gift Cards)","uniqueKey":"OrderPaymentMethods","typeLabel":"OrderPaymentMethod · object[]"},"OrderStatusReason":{"type":"object","title":"OrderStatusReason","description":"Reason for the order status, why it was cancelled.","properties":{"Name":{"type":"string","description":"Order status reason name","uniqueKey":"OrderStatusReason.Name","typeLabel":"string"},"OrderStatusReasonCode":{"type":"string","description":"Code denoting the order status reason on the Merchant's site (to be mapped on the Global-e side)","uniqueKey":"OrderStatusReason.OrderStatusReasonCode","typeLabel":"string"}},"uniqueKey":"OrderStatusReason","typeLabel":"OrderStatusReason · object"},"OriginalOrder":{"type":"object","title":"Merchant.OriginalOrder","description":"Details that refer to the original order if the current order is a replacement.","properties":{"MerchantInternalOrderId":{"type":"string","description":"InternalOrderId returned from SendOrderToMerchant call for the original order.","uniqueKey":"OriginalOrder.MerchantInternalOrderId","typeLabel":"string"},"MerchantOrderId":{"type":"string","description":"OrderId returned from SendOrderToMerchant call for the original order.","uniqueKey":"OriginalOrder.MerchantOrderId","typeLabel":"string"},"OrderId":{"type":"string","description":"Global-e order unique identifier for the original order.","uniqueKey":"OriginalOrder.OrderId","typeLabel":"string"}},"uniqueKey":"OriginalOrder","typeLabel":"Merchant.OriginalOrder · object"},"OTCurrencyCode":{"type":"string","description":"Currency of the one-time voucher code used to place the order.","uniqueKey":"OTCurrencyCode","typeLabel":"string"},"OTVoucherAmount":{"type":"number","description":"The amount taken off the voucher when applicable.","uniqueKey":"OTVoucherAmount","typeLabel":"number"},"OTVoucherCode":{"type":"string","description":"One-time voucher code used to place the order","uniqueKey":"OTVoucherCode","typeLabel":"string"},"Parcels":{"type":"array","items":{"type":"object","title":"Merchant.Parcel","properties":{"Code":{"type":"string","description":"Parcel code.","uniqueKey":"Parcels.items.[INDEX].Code","typeLabel":"string"},"ParcelStatusId":{"type":"number","description":"Parcel status id.","uniqueKey":"Parcels.items.[INDEX].ParcelStatusId","typeLabel":"number"},"StatusName":{"type":"string","description":"Parcel status name.","uniqueKey":"Parcels.items.[INDEX].StatusName","typeLabel":"string"},"TrackingUrl":{"type":"string","description":"Direct tracking URL.","uniqueKey":"Parcels.items.[INDEX].TrackingUrl","typeLabel":"string"},"Products":{"type":"array","items":{"type":"object","title":"Merchant.ParcelProduct","properties":{"CartItemId":{"type":"string","description":"Cart item id of the product.","uniqueKey":"Parcels.items.[INDEX].Products.items.[INDEX].CartItemId","typeLabel":"string"},"Quantity":{"type":"number","description":"Product quantity included in the parcel.","uniqueKey":"Parcels.items.[INDEX].Products.items.[INDEX].Quantity","typeLabel":"number"},"Sku":{"type":"string","description":"Product SKU.","uniqueKey":"Parcels.items.[INDEX].Products.items.[INDEX].Sku","typeLabel":"string"}},"uniqueKey":"Parcels.items.[INDEX].Products.items.[INDEX]","typeLabel":"Merchant.ParcelProduct · object"},"description":"List of products included in the parcel.","uniqueKey":"Parcels.items.[INDEX].Products","typeLabel":"Merchant.ParcelProduct · object[]"}},"uniqueKey":"Parcels.items.[INDEX]","typeLabel":"Merchant.Parcel · object"},"description":"The list of parcels created for the order.","uniqueKey":"Parcels","typeLabel":"Merchant.Parcel · object[]"},"PrePayOffered":{"type":"boolean","description":"Indicates if the prepayment option for duties and taxes was offered to the customer.\nTRUE - Prepayment option offered.\nFALSE - Prepayment option not offered.","uniqueKey":"PrePayOffered","typeLabel":"boolean"},"PriceCoefficientRate":{"type":"number","description":"CountryCoefficient rate applied to the prices in this order.","uniqueKey":"PriceCoefficientRate","typeLabel":"number"},"PrimaryBilling":{"type":"object","title":"Merchant.CustomerDetails","description":"The primary customer's billing details. If IsEndCustomerPrimary is set to TRUE, then the primary customer is the payer and his details are indicated in the URL-encoded form.","properties":{"Address1":{"type":"string","description":"Address line 1","uniqueKey":"PrimaryBilling.Address1","typeLabel":"string"},"Address2":{"type":"string","description":"Address line 2","uniqueKey":"PrimaryBilling.Address2","typeLabel":"string"},"AddressBookId":{"type":"string","description":"Id of the current address from within the address book","uniqueKey":"PrimaryBilling.AddressBookId","typeLabel":"string"},"AddressBookName":{"type":"string","description":"Name of the current address from within the address book","uniqueKey":"PrimaryBilling.AddressBookName","typeLabel":"string"},"City":{"type":"string","description":"City name","uniqueKey":"PrimaryBilling.City","typeLabel":"string"},"Company":{"type":"string","description":"Company name","uniqueKey":"PrimaryBilling.Company","typeLabel":"string"},"CountryCode":{"type":"string","description":"2-char ISO country code","uniqueKey":"PrimaryBilling.CountryCode","typeLabel":"string"},"CountryName":{"type":"string","description":"Country name","uniqueKey":"PrimaryBilling.CountryName","typeLabel":"string"},"Email":{"type":"string","description":"Email address","uniqueKey":"PrimaryBilling.Email","typeLabel":"string"},"Fax":{"type":"string","description":"Fax","uniqueKey":"PrimaryBilling.Fax","typeLabel":"string"},"FirstName":{"type":"string","description":"First name","uniqueKey":"PrimaryBilling.FirstName","typeLabel":"string"},"FirstNameInLocalCulture":{"type":"string","description":"First name in local culture","uniqueKey":"PrimaryBilling.FirstNameInLocalCulture","typeLabel":"string"},"LastName":{"type":"string","description":"Last name","uniqueKey":"PrimaryBilling.LastName","typeLabel":"string"},"LastNameInLocalCulture":{"type":"string","description":"Last name in local culture","uniqueKey":"PrimaryBilling.LastNameInLocalCulture","typeLabel":"string"},"MiddleName":{"type":"string","description":"Middle name","uniqueKey":"PrimaryBilling.MiddleName","typeLabel":"string"},"Phone1":{"type":"string","description":"Phone","uniqueKey":"PrimaryBilling.Phone1","typeLabel":"string"},"Phone2":{"type":"string","description":"Phone","uniqueKey":"PrimaryBilling.Phone2","typeLabel":"string"},"Salutation":{"type":"string","description":"Salutation or title (e.g. Dr., Mr., etc.)","uniqueKey":"PrimaryBilling.Salutation","typeLabel":"string"},"SaveAddress":{"type":"boolean","description":"Indicates that the current address should be saved in the Merchant platform","uniqueKey":"PrimaryBilling.SaveAddress","typeLabel":"boolean"},"StateCode":{"type":"string","description":"State or province ISO code such as AZ for Arizona (if applicable)","uniqueKey":"PrimaryBilling.StateCode","typeLabel":"string"},"StateOrProvince":{"type":"string","description":"State or province name","uniqueKey":"PrimaryBilling.StateOrProvince","typeLabel":"string"},"Zip":{"type":"string","description":"Zip or postal code","uniqueKey":"PrimaryBilling.Zip","typeLabel":"string"}},"uniqueKey":"PrimaryBilling","typeLabel":"Merchant.CustomerDetails · object"},"PrimaryShipping":{"type":"object","title":"Merchant.CustomerDetails","description":"Primary customer's shipping details. If Customer.IsEndCustomerPrimary is TRUE, this field contains the end customers' shipping details. this field contains the Global-e hub's shipping address in the URL-encoded form.","properties":{"Address1":{"type":"string","description":"Address line 1","uniqueKey":"PrimaryShipping.Address1","typeLabel":"string"},"Address2":{"type":"string","description":"Address line 2","uniqueKey":"PrimaryShipping.Address2","typeLabel":"string"},"AddressBookId":{"type":"string","description":"Id of the current address from within the address book","uniqueKey":"PrimaryShipping.AddressBookId","typeLabel":"string"},"AddressBookName":{"type":"string","description":"Name of the current address from within the address book","uniqueKey":"PrimaryShipping.AddressBookName","typeLabel":"string"},"City":{"type":"string","description":"City name","uniqueKey":"PrimaryShipping.City","typeLabel":"string"},"Company":{"type":"string","description":"Company name","uniqueKey":"PrimaryShipping.Company","typeLabel":"string"},"CountryCode":{"type":"string","description":"2-char ISO country code","uniqueKey":"PrimaryShipping.CountryCode","typeLabel":"string"},"CountryName":{"type":"string","description":"Country name","uniqueKey":"PrimaryShipping.CountryName","typeLabel":"string"},"Email":{"type":"string","description":"Email address","uniqueKey":"PrimaryShipping.Email","typeLabel":"string"},"Fax":{"type":"string","description":"Fax","uniqueKey":"PrimaryShipping.Fax","typeLabel":"string"},"FirstName":{"type":"string","description":"First name","uniqueKey":"PrimaryShipping.FirstName","typeLabel":"string"},"FirstNameInLocalCulture":{"type":"string","description":"First name in local culture","uniqueKey":"PrimaryShipping.FirstNameInLocalCulture","typeLabel":"string"},"LastName":{"type":"string","description":"Last name","uniqueKey":"PrimaryShipping.LastName","typeLabel":"string"},"LastNameInLocalCulture":{"type":"string","description":"Last name in local culture","uniqueKey":"PrimaryShipping.LastNameInLocalCulture","typeLabel":"string"},"MiddleName":{"type":"string","description":"Middle name","uniqueKey":"PrimaryShipping.MiddleName","typeLabel":"string"},"Phone1":{"type":"string","description":"Phone","uniqueKey":"PrimaryShipping.Phone1","typeLabel":"string"},"Phone2":{"type":"string","description":"Phone","uniqueKey":"PrimaryShipping.Phone2","typeLabel":"string"},"Salutation":{"type":"string","description":"Salutation or title (e.g. Dr., Mr., etc.)","uniqueKey":"PrimaryShipping.Salutation","typeLabel":"string"},"SaveAddress":{"type":"boolean","description":"Indicates that the current address should be saved in the Merchant platform","uniqueKey":"PrimaryShipping.SaveAddress","typeLabel":"boolean"},"StateCode":{"type":"string","description":"State or province ISO code such as AZ for Arizona (if applicable)","uniqueKey":"PrimaryShipping.StateCode","typeLabel":"string"},"StateOrProvince":{"type":"string","description":"State or province name","uniqueKey":"PrimaryShipping.StateOrProvince","typeLabel":"string"},"Zip":{"type":"string","description":"Zip or postal code","uniqueKey":"PrimaryShipping.Zip","typeLabel":"string"}},"uniqueKey":"PrimaryShipping","typeLabel":"Merchant.CustomerDetails · object"},"Products":{"type":"array","items":{"type":"object","title":"Merchant.Product","properties":{"Attributes":{"type":"array","items":{"type":"object","title":"Merchant.CartProductAttribute","properties":{"AttributeKey":{"type":"string","description":"Custom product attribute name that is used to describe the personalized product.","uniqueKey":"Products.items.[INDEX].Attributes.items.[INDEX].AttributeKey","typeLabel":"string"},"AttributeValue":{"type":"string","description":"Custom product attribute value that is used to describe the personalized product.","uniqueKey":"Products.items.[INDEX].Attributes.items.[INDEX].AttributeValue","typeLabel":"string"}},"uniqueKey":"Products.items.[INDEX].Attributes.items.[INDEX]","typeLabel":"Merchant.CartProductAttribute · object"},"description":"Custom attributes describe products that customers can personalize according to what the site offers. Each Attribute holds a key to specify attribute name and Value properties.","uniqueKey":"Products.items.[INDEX].Attributes","typeLabel":"Merchant.CartProductAttribute · object[]"},"BackOrderDate":{"type":"string","description":"Estimated date for the backordered item to be in stock","uniqueKey":"Products.items.[INDEX].BackOrderDate","typeLabel":"string"},"Brand":{"type":"object","title":"Merchant.Brand","description":"Product's brandSku","properties":{"BrandCode":{"type":"string","description":"Brand code","uniqueKey":"Products.items.[INDEX].Brand.BrandCode","typeLabel":"string"},"Name":{"type":"string","description":"Brand name","uniqueKey":"Products.items.[INDEX].Brand.Name","typeLabel":"string"}},"uniqueKey":"Products.items.[INDEX].Brand","typeLabel":"Merchant.Brand · object"},"CartItemId":{"type":"string","description":"Identifier of the cart item on the Merchant's site originally specified in the Product.CartItemId property of the respective product in the SendCart method for the cart converted to this order on Global-e.","uniqueKey":"Products.items.[INDEX].CartItemId","typeLabel":"string"},"CartItemOptionId":{"type":"string","description":"Identifier of the child cart item \"option\" on the Merchant's site originally specified in the Product.CartItemOptionId property of the respective product in the SendCart method for the cart converted to this order on Global-e.","uniqueKey":"Products.items.[INDEX].CartItemOptionId","typeLabel":"string"},"Categories":{"type":"array","items":{"type":"object","title":"Merchant.Category","properties":{"CategoryCode":{"type":"string","description":"Merchant category code","uniqueKey":"Products.items.[INDEX].Categories.items.[INDEX].CategoryCode","typeLabel":"string"},"Name":{"type":"string","description":"Merchant category name","uniqueKey":"Products.items.[INDEX].Categories.items.[INDEX].Name","typeLabel":"string"}},"uniqueKey":"Products.items.[INDEX].Categories.items.[INDEX]","typeLabel":"Merchant.Category · object"},"description":"List of product categories","uniqueKey":"Products.items.[INDEX].Categories","typeLabel":"Merchant.Category · object[]"},"CustomerVATRate":{"type":"number","description":"The customer VAT rate applied to this product","uniqueKey":"Products.items.[INDEX].CustomerVATRate","typeLabel":"number"},"DiscountedPrice":{"type":"number","description":"The product value is in Merchant currency after deducting all product and cart level discounts from the price. Product level discounts will be fully deducted from the respective product's price and cart discounts will be prorated over all products according to the remaining value. This value can be used as the pre-calculated value for the returned product's refund.","uniqueKey":"Products.items.[INDEX].DiscountedPrice","typeLabel":"number"},"DiscountedPriceForCustoms":{"type":"number","description":"Product price in Merchant currency reflects the price after Reverse D\u0026T calculation.","uniqueKey":"Products.items.[INDEX].DiscountedPriceForCustoms","typeLabel":"number"},"DTBreakdown":{"type":"object","title":"DTBreakdown","description":"Contains the duties and taxes per item in Merchant currency.","properties":{"Duties":{"type":"number","description":"Duties that are applied.","uniqueKey":"Products.items.[INDEX].DTBreakdown.Duties","typeLabel":"number"},"Other":{"type":"number","description":"Other DT fees that are applied.","uniqueKey":"Products.items.[INDEX].DTBreakdown.Other","typeLabel":"number"},"SalesTaxes":{"type":"number","description":"Sales taxes that are applied.","uniqueKey":"Products.items.[INDEX].DTBreakdown.SalesTaxes","typeLabel":"number"}},"uniqueKey":"Products.items.[INDEX].DTBreakdown","typeLabel":"DTBreakdown · object"},"GenericHSCode":{"type":"string","description":"Product's HS code","uniqueKey":"Products.items.[INDEX].GenericHSCode","typeLabel":"string"},"GiftMessage":{"type":"string","description":"Text originally specified in the Product.GiftMessage property of the respective product in the SendCart method for the cart converted to this order on Global-e.","uniqueKey":"Products.items.[INDEX].GiftMessage","typeLabel":"string"},"HandlingCode":{"type":"string","description":"Code originally specified in Product.HandlingCode property of the respective product in the SendCart method for the cart converted to this order on Global-e.","uniqueKey":"Products.items.[INDEX].HandlingCode","typeLabel":"string"},"InternationalDiscountedPrice":{"type":"number","description":"The product value in customer currency after deducting all product and cart level discounts from the price. Product level discounts will be fully deducted from the respective product's price and cart discounts will be prorated over all products according to the remaining value. This value can be used as the pre-calculated value for the returned product's refund.","uniqueKey":"Products.items.[INDEX].InternationalDiscountedPrice","typeLabel":"number"},"InternationalDiscountedPriceForCustoms":{"type":"number","description":"Product price in customer currency reflects the price after Reverse D\u0026T calculation","uniqueKey":"Products.items.[INDEX].InternationalDiscountedPriceForCustoms","typeLabel":"number"},"InternationalDiscountedPriceInMerchantCurrency":{"type":"number","description":"Product Price in Merchant currency","uniqueKey":"Products.items.[INDEX].InternationalDiscountedPriceInMerchantCurrency","typeLabel":"number"},"InternationalDTBreakdown":{"type":"object","title":"DTBreakdown","description":"Contains the duties and taxes per item in customer currency.","properties":{"Duties":{"type":"number","description":"Duties that are applied.","uniqueKey":"Products.items.[INDEX].InternationalDTBreakdown.Duties","typeLabel":"number"},"Other":{"type":"number","description":"Other DT fees that are applied.","uniqueKey":"Products.items.[INDEX].InternationalDTBreakdown.Other","typeLabel":"number"},"SalesTaxes":{"type":"number","description":"Sales taxes that are applied.","uniqueKey":"Products.items.[INDEX].InternationalDTBreakdown.SalesTaxes","typeLabel":"number"}},"uniqueKey":"Products.items.[INDEX].InternationalDTBreakdown","typeLabel":"DTBreakdown · object"},"InternationalListPrice":{"type":"number","description":"Single product list price in end customer's currency (specified in the InternationalDetails.CurrencyCode property for the respective Merchant.Order), after applying country coefficient, FX conversion, rounding rule (if applicable), and IncludeVAT handling.","uniqueKey":"Products.items.[INDEX].InternationalListPrice","typeLabel":"number"},"InternationalPrice":{"type":"number","description":"Single product final sale price in end customer currency (specified in InternationalDetails.CurrencyCode property for the respective Merchant.Order), after applying country coefficient, FX conversion, rounding rule (if applicable), and IncludeVAT handling.","uniqueKey":"Products.items.[INDEX].InternationalPrice","typeLabel":"number"},"IsBackOrdered":{"type":"boolean","description":"Identifies if the product was ordered as a back ordered item\nTRUE - Product is back-ordered.\nFALSE - Product is not back-ordered.","uniqueKey":"Products.items.[INDEX].IsBackOrdered","typeLabel":"boolean"},"LineItemInternationalPrice":{"type":"number","description":"Line item (product in ordered quantity) price in end customer's currency (specified in the InternationalDetails.CurrencyCode property for the respective Merchant.Order), after applying country coefficient, FX conversion, rounding rule (if applicable), and IncludeVAT handling. If not specified, should be deemed equal to \"InternationalPrice * Quantity\". If specified, should take preference over InternationalPrice.","uniqueKey":"Products.items.[INDEX].LineItemInternationalPrice","typeLabel":"number"},"LineItemPriceBeforeGlobalEDiscount":{"type":"number","deprecated":true,"description":"Line item (product in ordered quantity) price in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant, before applying any per-product Global-e discounts (such as per-product Shipping discounts). If not specified, should be deemed equal to \"PriceBeforeGlobalEDiscount * Quantity\". If specified, should take preference over PriceBeforeGlobalEDiscount.","uniqueKey":"Products.items.[INDEX].LineItemPriceBeforeGlobalEDiscount","typeLabel":"number"},"ListPrice":{"type":"number","description":"Single product List price in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant.","uniqueKey":"Products.items.[INDEX].ListPrice","typeLabel":"number"},"Name":{"type":"string","description":"Name of the product.","uniqueKey":"Products.items.[INDEX].Name","typeLabel":"string"},"ParentCartItemId":{"type":"string","description":"Identifier of the current item's parent cart item on the Merchant's site originally specified in the Product.ParentCartItemId property of the respective product in the SendCart method for the cart converted to this order on Global-e.","uniqueKey":"Products.items.[INDEX].ParentCartItemId","typeLabel":"string"},"Price":{"type":"number","description":"Single product final sale price in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant.","uniqueKey":"Products.items.[INDEX].Price","typeLabel":"number"},"PriceBeforeGlobalEDiscount":{"type":"number","deprecated":true,"description":"Single product price in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant, before applying any per-product Global-e discounts (such as per-product Shipping discounts). If no Global-e discount was applied, PriceBeforeGlobalEDiscount is equal to Price.","uniqueKey":"Products.items.[INDEX].PriceBeforeGlobalEDiscount","typeLabel":"number"},"ProductAttributes":{"type":"array","items":{"type":"object","title":"Merchant.ProductAttribute","properties":{"AttributeKey":{"type":"string","description":"Customized product attribute name, used to describe the personalized product.","uniqueKey":"Products.items.[INDEX].ProductAttributes.items.[INDEX].AttributeKey","typeLabel":"string"},"AttributeValue":{"type":"string","description":"Customized product attribute, used to describe the personalized product.","uniqueKey":"Products.items.[INDEX].ProductAttributes.items.[INDEX].AttributeValue","typeLabel":"string"}},"uniqueKey":"Products.items.[INDEX].ProductAttributes.items.[INDEX]","typeLabel":"Merchant.ProductAttribute · object"},"description":"Product attributes.","uniqueKey":"Products.items.[INDEX].ProductAttributes","typeLabel":"Merchant.ProductAttribute · object[]"},"Quantity":{"type":"number","description":"Product quantity in the order that is currently being submitted to the Merchant.","uniqueKey":"Products.items.[INDEX].Quantity","typeLabel":"number"},"RoundingRate":{"type":"number","description":"The conversion rate applied to this product price paid by the end customer when calculating the prices paid by Global-e to the Merchant in the original Merchant's currency. This rate includes \"FX conversion\" and \"marketing rounding\" factors.","uniqueKey":"Products.items.[INDEX].RoundingRate","typeLabel":"number"},"Sku":{"type":"string","description":"SKU code used to identify the product on the Merchant's site (to be mapped on the Global-e side).","uniqueKey":"Products.items.[INDEX].Sku","typeLabel":"string"},"VATRate":{"type":"number","description":"The VAT rate applied to this product","uniqueKey":"Products.items.[INDEX].VATRate","typeLabel":"number"}},"uniqueKey":"Products.items.[INDEX]","typeLabel":"Merchant.Product · object"},"description":"The list of products being purchased.","uniqueKey":"Products","typeLabel":"Merchant.Product · object[]"},"RoundingRate":{"type":"number","description":"The average conversion rate applied to the prices paid by the end customer when calculating the prices paid by Global-e to the Merchant in the original Merchant's currency. This rate includes \"FX conversion\" and \"marketing rounding\" factors.","uniqueKey":"RoundingRate","typeLabel":"number"},"SameDayDispatch":{"type":"boolean","description":"Indicates if the end customer has requested \"Same Day Dispatch\" on Global-e checkout.\nTRUE - Customer requested \"Same Day Dispatch\"\nFALSE - Customer did not request \"Same Day Dispatch\"","uniqueKey":"SameDayDispatch","typeLabel":"boolean"},"SameDayDispatchCost":{"type":"number","description":"Cost of the \"Same Day Dispatch\" option selected by the end customer on Global-e checkout, in the original Merchant's currency.","uniqueKey":"SameDayDispatchCost","typeLabel":"number"},"SecondaryBilling":{"type":"object","title":"Merchant.CustomerDetails","description":"Secondary customer's billing details. If Customer.IsEndCustomerPrimary is FALSE, this contains attributes of the end customer's details indicated in the URL-encoded form.","properties":{"Address1":{"type":"string","description":"Address line 1","uniqueKey":"SecondaryBilling.Address1","typeLabel":"string"},"Address2":{"type":"string","description":"Address line 2","uniqueKey":"SecondaryBilling.Address2","typeLabel":"string"},"AddressBookId":{"type":"string","description":"Id of the current address from within the address book","uniqueKey":"SecondaryBilling.AddressBookId","typeLabel":"string"},"AddressBookName":{"type":"string","description":"Name of the current address from within the address book","uniqueKey":"SecondaryBilling.AddressBookName","typeLabel":"string"},"City":{"type":"string","description":"City name","uniqueKey":"SecondaryBilling.City","typeLabel":"string"},"Company":{"type":"string","description":"Company name","uniqueKey":"SecondaryBilling.Company","typeLabel":"string"},"CountryCode":{"type":"string","description":"2-char ISO country code","uniqueKey":"SecondaryBilling.CountryCode","typeLabel":"string"},"CountryName":{"type":"string","description":"Country name","uniqueKey":"SecondaryBilling.CountryName","typeLabel":"string"},"Email":{"type":"string","description":"Email address","uniqueKey":"SecondaryBilling.Email","typeLabel":"string"},"Fax":{"type":"string","description":"Fax","uniqueKey":"SecondaryBilling.Fax","typeLabel":"string"},"FirstName":{"type":"string","description":"First name","uniqueKey":"SecondaryBilling.FirstName","typeLabel":"string"},"FirstNameInLocalCulture":{"type":"string","description":"First name in local culture","uniqueKey":"SecondaryBilling.FirstNameInLocalCulture","typeLabel":"string"},"LastName":{"type":"string","description":"Last name","uniqueKey":"SecondaryBilling.LastName","typeLabel":"string"},"LastNameInLocalCulture":{"type":"string","description":"Last name in local culture","uniqueKey":"SecondaryBilling.LastNameInLocalCulture","typeLabel":"string"},"MiddleName":{"type":"string","description":"Middle name","uniqueKey":"SecondaryBilling.MiddleName","typeLabel":"string"},"Phone1":{"type":"string","description":"Phone","uniqueKey":"SecondaryBilling.Phone1","typeLabel":"string"},"Phone2":{"type":"string","description":"Phone","uniqueKey":"SecondaryBilling.Phone2","typeLabel":"string"},"Salutation":{"type":"string","description":"Salutation or title (e.g. Dr., Mr., etc.)","uniqueKey":"SecondaryBilling.Salutation","typeLabel":"string"},"SaveAddress":{"type":"boolean","description":"Indicates that the current address should be saved in the Merchant platform","uniqueKey":"SecondaryBilling.SaveAddress","typeLabel":"boolean"},"StateCode":{"type":"string","description":"State or province ISO code such as AZ for Arizona (if applicable)","uniqueKey":"SecondaryBilling.StateCode","typeLabel":"string"},"StateOrProvince":{"type":"string","description":"State or province name","uniqueKey":"SecondaryBilling.StateOrProvince","typeLabel":"string"},"Zip":{"type":"string","description":"Zip or postal code","uniqueKey":"SecondaryBilling.Zip","typeLabel":"string"}},"uniqueKey":"SecondaryBilling","typeLabel":"Merchant.CustomerDetails · object"},"SecondaryShipping":{"type":"object","title":"Merchant.CustomerDetails","description":"Secondary customer's shipping details. If Customer.IsEndCustomerPrimary is FALSE, this field contains the end customers' shipping details.","properties":{"Address1":{"type":"string","description":"Address line 1","uniqueKey":"SecondaryShipping.Address1","typeLabel":"string"},"Address2":{"type":"string","description":"Address line 2","uniqueKey":"SecondaryShipping.Address2","typeLabel":"string"},"AddressBookId":{"type":"string","description":"Id of the current address from within the address book","uniqueKey":"SecondaryShipping.AddressBookId","typeLabel":"string"},"AddressBookName":{"type":"string","description":"Name of the current address from within the address book","uniqueKey":"SecondaryShipping.AddressBookName","typeLabel":"string"},"City":{"type":"string","description":"City name","uniqueKey":"SecondaryShipping.City","typeLabel":"string"},"Company":{"type":"string","description":"Company name","uniqueKey":"SecondaryShipping.Company","typeLabel":"string"},"CountryCode":{"type":"string","description":"2-char ISO country code","uniqueKey":"SecondaryShipping.CountryCode","typeLabel":"string"},"CountryName":{"type":"string","description":"Country name","uniqueKey":"SecondaryShipping.CountryName","typeLabel":"string"},"Email":{"type":"string","description":"Email address","uniqueKey":"SecondaryShipping.Email","typeLabel":"string"},"Fax":{"type":"string","description":"Fax","uniqueKey":"SecondaryShipping.Fax","typeLabel":"string"},"FirstName":{"type":"string","description":"First name","uniqueKey":"SecondaryShipping.FirstName","typeLabel":"string"},"FirstNameInLocalCulture":{"type":"string","description":"First name in local culture","uniqueKey":"SecondaryShipping.FirstNameInLocalCulture","typeLabel":"string"},"LastName":{"type":"string","description":"Last name","uniqueKey":"SecondaryShipping.LastName","typeLabel":"string"},"LastNameInLocalCulture":{"type":"string","description":"Last name in local culture","uniqueKey":"SecondaryShipping.LastNameInLocalCulture","typeLabel":"string"},"MiddleName":{"type":"string","description":"Middle name","uniqueKey":"SecondaryShipping.MiddleName","typeLabel":"string"},"Phone1":{"type":"string","description":"Phone","uniqueKey":"SecondaryShipping.Phone1","typeLabel":"string"},"Phone2":{"type":"string","description":"Phone","uniqueKey":"SecondaryShipping.Phone2","typeLabel":"string"},"Salutation":{"type":"string","description":"Salutation or title (e.g. Dr., Mr., etc.)","uniqueKey":"SecondaryShipping.Salutation","typeLabel":"string"},"SaveAddress":{"type":"boolean","description":"Indicates that the current address should be saved in the Merchant platform","uniqueKey":"SecondaryShipping.SaveAddress","typeLabel":"boolean"},"StateCode":{"type":"string","description":"State or province ISO code such as AZ for Arizona (if applicable)","uniqueKey":"SecondaryShipping.StateCode","typeLabel":"string"},"StateOrProvince":{"type":"string","description":"State or province name","uniqueKey":"SecondaryShipping.StateOrProvince","typeLabel":"string"},"Zip":{"type":"string","description":"Zip or postal code","uniqueKey":"SecondaryShipping.Zip","typeLabel":"string"}},"uniqueKey":"SecondaryShipping","typeLabel":"Merchant.CustomerDetails · object"},"ShippingMethodCode":{"type":"string","description":"Code denoting the local shipping method selected from the list of available shipping options provided in the shippingOptionsList argument for the SendCart method for the cart converted to this order on Global-e.","uniqueKey":"ShippingMethodCode","typeLabel":"string"},"ShipToStoreCode":{"type":"string","description":"Code denoting the Merchant's store specified by the customer for \"ship to shop\" shipping destination (to be mapped on the Global-e side).","uniqueKey":"ShipToStoreCode","typeLabel":"string"},"StatusCode":{"type":"string","description":"Code denoting the order status on the Merchant's site (to be mapped on the Global-e side).","uniqueKey":"StatusCode","typeLabel":"string"},"Subs":{"type":"array","items":{"type":"object","title":"Merchant.Order (sub-order)","additionalProperties":true,"description":"A sub-order, carrying the same fields as Merchant.Order documented on this page.","uniqueKey":"Subs.items.[INDEX]","typeLabel":"Merchant.Order (sub-order) · object"},"description":"Contains Sub orders related to Mixed order. This list is defined only in case the order is Mixed.","uniqueKey":"Subs","typeLabel":"Merchant.Order (sub-order) · object[]"},"TotalDutiesAndTaxesPrice":{"type":"number","description":"Total Duties \u0026 Taxes value including Customs Clearance Fees, in the Merchant currency. This amount is the total amount, regardless of whether the customer or the Merchant paid it.","uniqueKey":"TotalDutiesAndTaxesPrice","typeLabel":"number"},"TotalDutiesPaidByCustomerPrice":{"type":"number","description":"The total amount of duties paid by the customer in the Merchant's currency.","uniqueKey":"TotalDutiesPaidByCustomerPrice","typeLabel":"number"},"UserId":{"type":"string","description":"Internal User identifier on the Merchant's site originally specified in the shippingDetails.UserIdargument for SendCart method for the cart converted to this order on Global-e.","uniqueKey":"UserId","typeLabel":"string"},"USSalesTax":{"type":"number","description":"Sales tax value for USA in the Merchant currency. This value is included in TotalDutiesAndTaxesPrice.","uniqueKey":"USSalesTax","typeLabel":"number"},"WebStoreCode":{"type":"string","description":"Code used on the Merchant's side to identify the web store, as specified in the WebStoreCode argument for the SendCart method for the cart converted to this order on Global-e.","uniqueKey":"WebStoreCode","typeLabel":"string"}},"uniqueKey":"","typeLabel":"Merchant.Order · object"},"example":{"OrderId":"00010000100000000020","MerchantGUID":"\u003cMERCHANT_GUID>","PaymentDetails":{"OwnerFirstName":"Nir","OwnerLastName":"Debbi","OwnerName":"GlobalE","CardNumber":"0000-0000-0000-0000","CVVNumber":"000","PaymentMethodName":"Visa","PaymentMethodCode":"VI","PaymentMethodTypeCode":"cc","ExpirationDate":"2016-10-31","CountryName":"Israel","CountryCode":"IL","StateOrProvince":"","City":"Petach Tikva","Zip":"12345","Address1":"Kiryat Arye","Address2":"","Phone1":"","Phone2":"","Fax":"","Email":""}},"examples":{"Example":{"title":"Example","value":{"OrderId":"00010000100000000020","MerchantGUID":"\u003cMERCHANT_GUID>","PaymentDetails":{"OwnerFirstName":"Nir","OwnerLastName":"Debbi","OwnerName":"GlobalE","CardNumber":"0000-0000-0000-0000","CVVNumber":"000","PaymentMethodName":"Visa","PaymentMethodCode":"VI","PaymentMethodTypeCode":"cc","ExpirationDate":"2016-10-31","CountryName":"Israel","CountryCode":"IL","StateOrProvince":"","City":"Petach Tikva","Zip":"12345","Address1":"Kiryat Arye","Address2":"","Phone1":"","Phone2":"","Fax":"","Email":""}}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"72baa7c3-04ba-4091-99f5-b1a9a22d53a9":{"description":"The merchant's reply. Global-e reads `ResponseInfo` and
[...]
